#ifndef TAR_
#define TAR_

#define true 1
#define false 0

typedef struct {
	int  magic;        /* This value must be 0x63746172                               */
	int  eop;          /* End of file pointer                                         */
	int  block_count;  /* Number of entries in the block which are in use             */
	int  file_size[8]; /* File size in bytes for files 1..8                           */
	char deleted[8];   /* Contains binary one at position i if i-th entry was deleted */
	int  file_name[8]; /* pointer to the name of the file.                            */
	int  next;         /* pointer to the next header block                            */
} hdr;

#endif
